'use strict';

exports.__esModule = true;

var _parser = require('./parser');

var _parser2 = _interopRequireDefault(_parser);

var _atword = require('./atword');

var _atword2 = _interopRequireDefault(_atword);

var _colon = require('./colon');

var _colon2 = _interopRequireDefault(_colon);

var _comma = require('./comma');

var _comma2 = _interopRequireDefault(_comma);

var _comment = require('./comment');

var _comment2 = _interopRequireDefault(_comment);

var _function = require('./function');

var _function2 = _interopRequireDefault(_function);

var _number = require('./number');

var _number2 = _interopRequireDefault(_number);

var _operator = require('./operator');

var _operator2 = _interopRequireDefault(_operator);

var _paren = require('./paren');

var _paren2 = _interopRequireDefault(_paren);

var _string = require('./string');

var _string2 = _interopRequireDefault(_string);

var _value = require('./value');

var _value2 = _interopRequireDefault(_value);

var _word = require('./word');

var _word2 = _interopRequireDefault(_word);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var parser = function parser(source) {
  return new _parser2.default(source);
};

parser.atword = function (opts) {
  return new _atword2.default(opts);
};

parser.colon = function (opts) {
  opts.value = opts.value || ':';
  return new _colon2.default(opts);
};

parser.comma = function (opts) {
  opts.value = opts.value || ',';
  return new _comma2.default(opts);
};

parser.comment = function (opts) {
  return new _comment2.default(opts);
};

parser.func = function (opts) {
  return new _function2.default(opts);
};

parser.number = function (opts) {
  return new _number2.default(opts);
};

parser.operator = function (opts) {
  return new _operator2.default(opts);
};

parser.paren = function (opts) {
  opts.value = opts.value || '(';
  return new _paren2.default(opts);
};

parser.string = function (opts) {
  opts.quote = opts.quote || '\'';
  return new _string2.default(opts);
};

parser.value = function (opts) {
  return new _value2.default(opts);
};

parser.word = function (opts) {
  return new _word2.default(opts);
};

exports.default = parser;
module.exports = exports['default'];